package com.yunzhi.demo.controller;

import com.yunzhi.demo.common.BaseController;
import com.yunzhi.demo.common.ResponseBean;
import com.yunzhi.demo.service.ITaPersonService;
import com.yunzhi.demo.service.ITaPostDataService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;


@Api(tags = "查询统计")
@RestController
public class StatisticController extends BaseController {

    @Autowired
    ITaPostDataService iTaPostDataService;

    @Autowired
    ITaPersonService iTaPersonService;


    @GetMapping("/admin/index/post-data")
    @ApiOperation(value="首页简单的几个统计", notes = "首页简单的几个统计", httpMethod = "GET", response = ResponseBean.class)
    public ResponseBean getIndexPostData() {
        // 获取总科普数, 以及 浏览量
        Map<String, Object> result = iTaPostDataService.getIndexBasicData();
        // 获取总学生人员
        int totalStudents = iTaPersonService.countStudent();
        result.put("student", totalStudents);

        return ResponseBean.success(result);
    }
}
