package com.yunzhi.demo.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.demo.common.Constants;
import com.yunzhi.demo.entity.TaPerson;
import com.yunzhi.demo.mapper.TaPersonMapper;
import com.yunzhi.demo.service.ITaPersonService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 人员 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Service
public class TaPersonServiceImpl extends ServiceImpl<TaPersonMapper, TaPerson> implements ITaPersonService {

    @Override
    public TaPerson getByOpenid(String openid) {
        QueryWrapper<TaPerson> queryWrapper = new QueryWrapper<TaPerson>()
                .eq("openid", openid)
                .gt("status", Constants.STATUS_DELETED);
        return getOne(queryWrapper);
    }

    @Override
    public int countStudent() {
        QueryWrapper<TaPerson> queryWrapper = new QueryWrapper<TaPerson>()
                .isNotNull("student_id")
                .gt("status", Constants.STATUS_DELETED);
        return count(queryWrapper);
    }
}
