package com.yunzhi.demo.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.demo.common.Constants;
import com.yunzhi.demo.entity.TaPost;
import com.yunzhi.demo.entity.TaPostSave;
import com.yunzhi.demo.mapper.TaPostSaveMapper;
import com.yunzhi.demo.service.ITaPostSaveService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 收藏 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Service
public class TaPostSaveServiceImpl extends ServiceImpl<TaPostSaveMapper, TaPostSave> implements ITaPostSaveService {
    @Autowired
    TaPostSaveMapper taPostSaveMapper;

    @Override
    public boolean checkSaved(String personId, String postId) {
        return count(queryByPersonAndPost(personId, postId)) > 0;
    }

    @Override
    public IPage<TaPost> getMyPostSaveList(IPage<TaPost> pg, String personId) {
        return taPostSaveMapper.getMyPostSaveList(pg, personId);
    }

    @Override
    public TaPostSave getMyPostSave(String personId, String postId) {
        return getOne(queryByPersonAndPost(personId, postId));
    }

    private QueryWrapper<TaPostSave> queryByPersonAndPost(String personId, String postId) {
        return new QueryWrapper<TaPostSave>()
                .eq("person_id", personId)
                .eq("post_id", postId)
                .eq("status", Constants.STATUS_NORMAL);
    }
}
